Bug 9947 - Can not contact fileserver shares via netbios name alias due to dfs_samba4 vfs module
Can not contact fileserver shares via netbios name alias due to dfs_samba4 vf...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 08:28 UTC by Björn Baumbach
Modified: 2013-06-18 07:26 UTC (History)
3 users (show)

See Also:


Attachments
proposed patch, cherry-picked from master (2.44 KB, patch)
2013-06-13 08:33 UTC, Björn Baumbach
metze: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2013-06-13 08:28:57 UTC
The s4-dfs_server needs to check for netbios aliases in ad_get_referrals.

Per default a share can not be used by e.g. additional dns names, which point to the desired DC.
The following patch opens the opportunity to add alternative names via the netbios aliases option.
Comment 1 Björn Baumbach 2013-06-13 08:33:10 UTC
Created attachment 8966 [details]
proposed patch, cherry-picked from master
Comment 2 Michael Adam 2013-06-13 14:13:44 UTC
Comment on attachment 8966 [details]
proposed patch, cherry-picked from master

ACK
Comment 3 Michael Adam 2013-06-13 14:14:14 UTC
==> Karolin for 4.0.NEXT
Comment 4 Karolin Seeger 2013-06-14 06:59:10 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-06-18 07:26:39 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!